Subject: Re: bug#9312: 24.0.50; smtpmail

From: emacs user <[email-masked]>
Date: Wed, 24 Aug 2011 21:58:52 -0400

thanks again, here it is.  note that when I use emacs 23.3 this does work well.

220 HUB00.xx.edu Microsoft ESMTP MAIL Service ready at Wed, 24 Aug
2011 21:53:29 -0400
250-HUB00.xx.edu Hello [10.xx]
250-SIZE 20971520
250-PIPELINING
250-DSN
250-ENHANCEDSTATUSCODES
250-STARTTLS
250-AUTH GSSAPI NTLM
250-8BITMIME
250-BINARYMIME
250 CHUNKING
220 2.0.0 SMTP server ready
250-HUB00.xx.edu Hello [10.xx]
250-SIZE 20971520
250-PIPELINING
250-DSN
250-ENHANCEDSTATUSCODES
250-AUTH GSSAPI NTLM LOGIN
250-8BITMIME
250-BINARYMIME
250 CHUNKING

Process smtpmail connection broken by remote peer
MAIL FROM:<[email-masked]> SIZE=365
530 5.7.1 Client was not authenticated
QUIT

On Wed, Aug 24, 2011 at 8:46 PM, Glenn Morris <[email-masked]> wrote:
>
> emacs user wrote (on Wed, 24 Aug 2011 at 18:10 -0400):
>
>> thanks for the response, please see attached.  apologies for replying
>> only to you rather than the group, I couldn't be sure there is no
>> private information/ passwords embedded in this output that I am
>> attaching.
>
> Fair enough. I am including the list again since I only quote a piece
> of what you sent:
>
>> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>>   =(nil 530)
>>   (and auth-mechanisms (not ask-for-password) (= (car result) 530))
>
> It looks like your smtp server returned something unexpected after
> being presented with a "MAIL FROM" command. I made a change to handle
> this a little better, but it still probably won't actually work.
>
> The next step is probably to set smtpmail-debug-info non-nil, repeat
> the error, and post the contents of the "*trace of SMTP ..." buffer;
> perhaps just whatever the server responds after the "MAIL FROM"
> command.
>
>
>